-- Warning Override addon for Runes of Magic
-- Created by Valacar
-- Version: 0.1 alpha
-- Last updated: Feb 4th, 2009

local addonVersion = "0.1 alpha"

function WarningOverride_OnLoad(this)
	DEFAULT_CHAT_FRAME:AddMessage("|cffff0000Warning Override|r for UFAutoCS: loaded.", 0.5, 0.7, 1.0);
	
	SendWarningMsg = function(s)
		if ( string.find( string.lower(s), "full" ) ) then
			FAL_BagFullFlag=true;
		end
		
		if ( ENSettings ) then
			if (ENSettings["WarningMessage"]["UseSound"] == true) then
				PlaySoundByPath(ENSettings["WarningMessage"]["SoundFile"]);
			end
			if (ENSettings["WarningMessage"]["UseMessage"] == true) then
				if (ENSettings["MsgRedirection"]["UseRedir"] == true) then
					SendENMsg(s);
				elseif (ENSettings["MsgRedirection"]["UseRedir"] == false) then
					WarningFrame:AddMessage(s, 0.93, 0.11, 0.14);
				end
			end
		else
			WarningFrame:AddMessage(s, 0.93, 0.11, 0.14);
			PlaySoundByPath("sound\\interface\\ui_sysmsg_warning.mp3");
		end
	end
end

function DisableSendWarningMsg11()
	SendWarningMsg = function(s)
		-- do nothing
	end
end

function EnableSendWarningMsg11()
	SendWarningMsg = function(s)
		if ( string.find( string.lower(s), "full" ) ) then
			FAL_BagFullFlag=true;
		end
		
		if ( ENSettings ) then
			if (ENSettings["WarningMessage"]["UseSound"] == true) then
				PlaySoundByPath(ENSettings["WarningMessage"]["SoundFile"]);
			end
			if (ENSettings["WarningMessage"]["UseMessage"] == true) then
				if (ENSettings["MsgRedirection"]["UseRedir"] == true) then
					SendENMsg(s);
				elseif (ENSettings["MsgRedirection"]["UseRedir"] == false) then
					WarningFrame:AddMessage(s, 0.93, 0.11, 0.14);
				end
			end
		else
			WarningFrame:AddMessage(s, 0.93, 0.11, 0.14);
			PlaySoundByPath("sound\\interface\\ui_sysmsg_warning.mp3");
		end
	end
end
